summaryrefslogtreecommitdiffstats
path: root/libraries/afflib
diff options
context:
space:
mode:
author Barry J. Grundy <bgrundyatlinuxleo.com>2010-05-11 22:53:55 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 22:53:55 +0200
commit6bcfa0dd0e3ca0f140b533314bc01d4b7600041a (patch)
tree5c8807a7ddef8d612172f419a7fef9ce39a62ce7 /libraries/afflib
parentaed5cc8f90cd114a93add75427eed38c56400cd8 (diff)
downloadslackbuilds-6bcfa0dd0e3ca0f140b533314bc01d4b7600041a.tar.gz
slackbuilds-6bcfa0dd0e3ca0f140b533314bc01d4b7600041a.tar.xz
libraries/afflib: Added to 12.1 repository
Diffstat (limited to 'libraries/afflib')
-rw-r--r--libraries/afflib/README5
-rw-r--r--libraries/afflib/afflib.SlackBuild80
-rw-r--r--libraries/afflib/afflib.info8
-rw-r--r--libraries/afflib/slack-desc19
4 files changed, 112 insertions, 0 deletions
diff --git a/libraries/afflib/README b/libraries/afflib/README
new file mode 100644
index 0000000000..50694d9405
--- /dev/null
+++ b/libraries/afflib/README
@@ -0,0 +1,5 @@
+afflib is library for support of the Advanced Forensic Format (AFF).
+AFF(R) is an open and extensible file format designed to store disk
+images and associated metadata.
+
+afflib can use libewf, also available from SlackBuilds.org. \ No newline at end of file
diff --git a/libraries/afflib/afflib.SlackBuild b/libraries/afflib/afflib.SlackBuild
new file mode 100644
index 0000000000..1d61bbc8c5
--- /dev/null
+++ b/libraries/afflib/afflib.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/sh
+
+# Slackware build script for afflib
+
+# Copyright 2008 Heinz Wiesinger <pprkut@liwjatan.at>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=afflib
+VERSION=3.3.4
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --disable-static \
+ --enable-s3 \
+ --enable-python \
+ --enable-threading \
+ --build=$ARCH-slackware-linux \
+ --host=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS BUGLIST.txt ChangeLog COPYING INSTALL NEWS README* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/afflib/afflib.info b/libraries/afflib/afflib.info
new file mode 100644
index 0000000000..e7491b3d67
--- /dev/null
+++ b/libraries/afflib/afflib.info
@@ -0,0 +1,8 @@
+PRGNAM="afflib"
+VERSION="3.3.4"
+HOMEPAGE="http://www.afflib.org/"
+DOWNLOAD="http://www.afflib.org/downloads/afflib-3.3.4.tar.gz"
+MD5SUM="588dd75051d03f666a17ed49d08c1552"
+MAINTAINER="Barry J. Grundy"
+EMAIL="bgrundy<at>linuxleo.com"
+APPROVED="Michiel"
diff --git a/libraries/afflib/slack-desc b/libraries/afflib/slack-desc
new file mode 100644
index 0000000000..3e32bd24e8
--- /dev/null
+++ b/libraries/afflib/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+afflib: afflib (Advanced Forensic Format support library)
+afflib:
+afflib: afflib is library for support of the Advanced Forensic Format (AFF).
+afflib: AFF(R) is an open and extensible file format designed to store disk
+afflib: images and associated metadata.
+afflib:
+afflib: Homepage: http://www.afflib.org/
+afflib:
+afflib:
+afflib:
+afflib: